org.apache.storm.generated

## Class NimbusSummary

- java.lang.Object
- - org.apache.storm.generated.NimbusSummary

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<NimbusSummary>, org.apache.storm.thrift.TBase<NimbusSummary,NimbusSummary._Fields>, org.apache.storm.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.13.0)")
      public class NimbusSummary
      extends Object
      implements org.apache.storm.thrift.TBase<NimbusSummary,NimbusSummary._Fields>, Serializable, Cloneable, Comparable<NimbusSummary>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NimbusSummary._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<NimbusSummary._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NimbusSummary()`
    `NimbusSummary(NimbusSummary other)` Performs a deep copy on other.
    `NimbusSummary(String host, int port, int uptime_secs, boolean isLeader, String version)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(NimbusSummary other)`
    `NimbusSummary` | `deepCopy()`
    `boolean` | `equals(NimbusSummary that)`
    `boolean` | `equals(Object that)`
    `NimbusSummary._Fields` | `fieldForId(int fieldId)`
    `String` | `get_host()`
    `int` | `get_port()`
    `int` | `get_uptime_secs()`
    `String` | `get_version()`
    `Object` | `getFieldValue(NimbusSummary._Fields field)`
    `int` | `hashCode()`
    `boolean` | `is_isLeader()`
    `boolean` | `is_set_host()` Returns true if field host is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_isLeader()` Returns true if field isLeader is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_port()` Returns true if field port is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_uptime_secs()` Returns true if field uptime_secs is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_version()` Returns true if field version is set (has been assigned a value) and false otherwise
    `boolean` | `isSet(NimbusSummary._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
    `void` | `set_host_isSet(boolean value)`
    `void` | `set_host(String host)`
    `void` | `set_isLeader_isSet(boolean value)`
    `void` | `set_isLeader(boolean isLeader)`
    `void` | `set_port_isSet(boolean value)`
    `void` | `set_port(int port)`
    `void` | `set_uptime_secs_isSet(boolean value)`
    `void` | `set_uptime_secs(int uptime_secs)`
    `void` | `set_version_isSet(boolean value)`
    `void` | `set_version(String version)`
    `void` | `setFieldValue(NimbusSummary._Fields field, Object value)`
    `String` | `toString()`
    `void` | `unset_host()`
    `void` | `unset_isLeader()`
    `void` | `unset_port()`
    `void` | `unset_uptime_secs()`
    `void` | `unset_version()`
    `void` | `validate()`
    `void` | `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<NimbusSummary._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### NimbusSummary

          public NimbusSummary()

    - #### NimbusSummary

          public NimbusSummary(String host,
                               int port,
                               int uptime_secs,
                               boolean isLeader,
                               String version)

    - #### NimbusSummary

          public NimbusSummary(NimbusSummary other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public NimbusSummary deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<NimbusSummary,NimbusSummary._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<NimbusSummary,NimbusSummary._Fields>`

    - #### get_host

          public String get_host()

    - #### set_host

          public void set_host(String host)

    - #### unset_host

          public void unset_host()

    - #### is_set_host

          public boolean is_set_host()

      Returns true if field host is set (has been assigned a value) and false otherwise

    - #### set_host_isSet

          public void set_host_isSet(boolean value)

    - #### get_port

          public int get_port()

    - #### set_port

          public void set_port(int port)

    - #### unset_port

          public void unset_port()

    - #### is_set_port

          public boolean is_set_port()

      Returns true if field port is set (has been assigned a value) and false otherwise

    - #### set_port_isSet

          public void set_port_isSet(boolean value)

    - #### get_uptime_secs

          public int get_uptime_secs()

    - #### set_uptime_secs

          public void set_uptime_secs(int uptime_secs)

    - #### unset_uptime_secs

          public void unset_uptime_secs()

    - #### is_set_uptime_secs

          public boolean is_set_uptime_secs()

      Returns true if field uptime_secs is set (has been assigned a value) and false otherwise

    - #### set_uptime_secs_isSet

          public void set_uptime_secs_isSet(boolean value)

    - #### is_isLeader

          public boolean is_isLeader()

    - #### set_isLeader

          public void set_isLeader(boolean isLeader)

    - #### unset_isLeader

          public void unset_isLeader()

    - #### is_set_isLeader

          public boolean is_set_isLeader()

      Returns true if field isLeader is set (has been assigned a value) and false otherwise

    - #### set_isLeader_isSet

          public void set_isLeader_isSet(boolean value)

    - #### get_version

          public String get_version()

    - #### set_version

          public void set_version(String version)

    - #### unset_version

          public void unset_version()

    - #### is_set_version

          public boolean is_set_version()

      Returns true if field version is set (has been assigned a value) and false otherwise

    - #### set_version_isSet

          public void set_version_isSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(NimbusSummary._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<NimbusSummary,NimbusSummary._Fields>`

    - #### getFieldValue

          public Object getFieldValue(NimbusSummary._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<NimbusSummary,NimbusSummary._Fields>`

    - #### isSet

          public boolean isSet(NimbusSummary._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<NimbusSummary,NimbusSummary._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(NimbusSummary that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(NimbusSummary other)

      Specified by:
        `compareTo` in interface `Comparable<NimbusSummary>`

    - #### fieldForId

          public NimbusSummary._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<NimbusSummary,NimbusSummary._Fields>`

    - #### read

          public void read(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.